Invite an organization to advertiser access
curl --request POST \
--url https://api.interchange.io/api/v2/organization/advertiser-grants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"granteeOrganizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advertiserIds": [
"<string>"
],
"capabilities": [],
"purpose": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.interchange.io/api/v2/organization/advertiser-grants"
payload = {
"granteeOrganizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advertiserIds": ["<string>"],
"capabilities": [],
"purpose": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
granteeOrganizationRef: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
advertiserIds: ['<string>'],
capabilities: [],
purpose: '<string>',
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.interchange.io/api/v2/organization/advertiser-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantor": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grantee": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"advertisers": [
{
"advertiserId": "<string>",
"displayName": "<string>"
}
],
"capabilities": [
"advertiser.read"
],
"purpose": "<string>",
"status": "invited",
"invitedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"events": [
{
"eventRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "invited",
"actor": "grantor",
"reason": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Invite an organization to advertiser access
Create an expiring invitation over exact canonical advertiser IDs and reviewed capabilities. Requires a directly authenticated human Organization administrator.
POST
/
organization
/
advertiser-grants
Invite an organization to advertiser access
curl --request POST \
--url https://api.interchange.io/api/v2/organization/advertiser-grants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"granteeOrganizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advertiserIds": [
"<string>"
],
"capabilities": [],
"purpose": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.interchange.io/api/v2/organization/advertiser-grants"
payload = {
"granteeOrganizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advertiserIds": ["<string>"],
"capabilities": [],
"purpose": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
granteeOrganizationRef: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
advertiserIds: ['<string>'],
capabilities: [],
purpose: '<string>',
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.interchange.io/api/v2/organization/advertiser-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantor": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grantee": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"advertisers": [
{
"advertiserId": "<string>",
"displayName": "<string>"
}
],
"capabilities": [
"advertiser.read"
],
"purpose": "<string>",
"status": "invited",
"invitedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"events": [
{
"eventRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "invited",
"actor": "grantor",
"reason": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Canonical public Organization reference. This is never a compatibility account ID.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required array length:
1 - 100 elementsMaximum string length:
19Pattern:
^[1-9]\d*$Required array length:
1 - 3 elementsAvailable options:
advertiser.read, campaign.read, campaign.manage Required string length:
1 - 1000Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$